#### D.13.4.6 findOrientedBoundary

Procedure from library `polymake.lib` (see polymake_lib).

Usage:
  findOrientedBoundary(polygon); polygon list

Assume:
  polygon is a list of integer vectors defining integer lattice points in the plane

Return:
  list l with the following interpretation
  l[1] = list of integer vectors such that the polygonal path defined by these is the boundary of the convex hull of the lattice points in polygon
  l[2] = list, the redundant points in l[1] have been removed

Example:

    LIB "polymake.lib";
    // the following lattice points in the plane define a polygon
    list polygon=intvec(0,0),intvec(3,1),intvec(1,0),intvec(2,0),
    intvec(1,1),intvec(3,2),intvec(1,2),intvec(2,3),
    intvec(2,4);
    // we compute its boundary
    list boundarypolygon=findOrientedBoundary(polygon);
    // the points on the boundary ordered clockwise are boundarypolygon[1]
    boundarypolygon[1];
    // the vertices of the boundary are boundarypolygon[2]
    boundarypolygon[2];

User manual for Singular version 4.4.1, 2025, generated by texi2html.